import request from "../../common/request"
import { PUBLIC_MODULES_PATH as prefix } from "../AppPath";

export default {
  list: function (param) {
    return request({
      url: prefix + '/material/management/list',
      method: 'get',
      params: param
    })
  },
  save: function (param) {
    return request({
      url: prefix + '/material/management/save',
      method: 'post',
      data: param
    })
  },
  findById: function (id) {
    return request({
      url: prefix + '/material/management/findById',
      method: 'get',
      params: {id: id}
    })
  },
  remove: function (id) {
    return request({
      url: prefix + '/material/management/remove',
      method: 'get',
      params: {id: id}
    })
  },
  updateStatusById: function (param) {
    return request({
      url: prefix + '/material/management/updateStatusById',
      method: 'post',
      data: param
    })
  },
  exportFile: function (params) {
    return request({
      url: prefix + '/reimbursementApproval/info/exportFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  },
  findTradeByTypeId: function (typeId) {
    return request({
      url: prefix + '/material/management/findTradeByTypeId',
      method: 'get',
      params: {typeId: typeId}
    })
  }
}
